Method: aggregateFleet

v1beta.aggregateFleet provides statistics about the fleet grouped by various fields.

HTTP request

GET https://databasecenter.googleapis.com/v1beta:aggregateFleet

The URL uses gRPC Transcoding syntax.

Query parameters

Parameters
parent

string

Required. Parent can be a project, a folder, or an organization. The search is limited to the resources within the scope.

The allowed values are:

  • projects/{PROJECT_ID} (e.g., "projects/foo-bar")
  • projects/{PROJECT_NUMBER} (e.g., "projects/12345678")
  • folders/{FOLDER_NUMBER} (e.g., "folders/1234567")
  • organizations/{ORGANIZATION_NUMBER} (e.g., "organizations/123456")
filter

string

Optional. The expression to filter resources.

Supported fields are: fullResourceName, resourceType, container, product.type, product.engine, product.version, location, labels, issues, fields of availability_info, data_protection_info, 'resourceName', etc.

The expression is a list of zero or more restrictions combined via logical operators AND and OR. When AND and OR are both used in the expression, parentheses must be appropriately used to group the combinations.

Example: location="us-east1" Example: container="projects/123" OR container="projects/456" Example: (container="projects/123" OR container="projects/456") AND location="us-east1"

groupBy

string

Optional. A field that statistics are grouped by. Valid values are any combination of the following: * container * product.type * product.engine * product.version * location * subResourceType * managementType * tag.key * tag.value * tag.source * tag.inherited * label.key * label.value * label.source * hasMaintenanceSchedule * hasDenyMaintenanceSchedules Comma separated list.

orderBy

string

Optional. Valid values to order by are: * resourceGroupsCount * resourcesCount * and all fields supported by groupBy The default order is ascending. Add "DESC" after the field name to indicate descending order. Add "ASC" after the field name to indicate ascending order. It supports ordering using multiple fields. For example: orderBy = "resourceGroupsCount" sorts response in ascending order orderBy = "resourceGroupsCount DESC" sorts response in descending order orderBy = "product.type, product.version DESC, location" orders by type in ascending order, version in descending order and location in ascending order

pageSize

integer

Optional. If unspecified, at most 50 items will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. A page token, received from a previous v1beta.aggregateFleet call. Provide this to retrieve the subsequent page. All other parameters should match the parameters in the call that provided the page token except for pageSize which can be different.

baselineDate

object (Date)

Optional. The baseline date w.r.t. which the delta counts are calculated. If not set, delta counts are not included in the response and the response indicates the current state of the fleet.

Request body

The request body must be empty.

Response body

The response message to aggregate a fleet by some group by fields.

If successful, the response body contains data with the following structure:

JSON representation
{
  "rows": [
    {
      object (AggregateFleetRow)
    }
  ],
  "resourceGroupsTotalCount": integer,
  "resourceTotalCount": integer,
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}